-   Slackware (
-   -   fglrx problems with Slackware-Current (

MoridinBG 03-29-2007 04:58 AM

fglrx problems with Slackware-Current
I downloaded the new proprietary Linu ATI driver. Installed it, patched it for kernel 2.6.20, installed the modules and run aticonfig --initial. But X doesn't start up. The log says

(II) LoadModule: "fglrx"
(II) Loading /usr/lib/xorg/modules/drivers//
(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
compiled for, module version = 8.35.5
Module class: X.Org Video Driver
ABI class: X.Org Video Driver, version 0.7
(EE) module ABI major version (0) doesn't match the server's version (1)
(II) UnloadModule: "fglrx"
(II) Unloading /usr/lib/xorg/modules/drivers//
(EE) Failed to load module "fglrx" (module requirement mismatch, 0)
And after that of course

(EE) No drivers available.

Fatal server error:
no screens found
X -version says:

X Protocol Version 11, Revision 0, Release
Build Operating System: Slackware 12.0 Slackware Linux Project
It was the same with 8.34
Any solutions, differing from switching back to pure Slack 11?
I tried X_VERSION=x700 && X_VERSION=x710 But neither worked.

animeresistance 03-30-2007 01:53 PM

Hi there ! =)

Just a question, what are you using ? the latest ? because it seems (i'm not sure) that the driver is compiled for 6.8

All times are GMT -5. The time now is 09:39 AM.